import react from 'react'
import Timeline from './timeline/Timeline'
import TimelineElement from './timeline/TimelineElement'
import TimelineLabel from './timeline/TimelineLabel'
import TimelineCard from './timeline/TimelineCard'
import TimelineCardSummary from './timeline/TimelineCardSummary'
import TimelineCardContent from './timeline/TimelineCardContent'

function MonParcours() {
    return (
        <div>
            <Timeline>
                <TimelineElement>
                    <TimelineLabel>2019 - Aujourd’hui</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>Développeur d’application Web, Mobile et Système (CDI)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Développement d’application Symfony, React, Flutter, Rust et Ruby on rails (6 et 7) pour des clients.</p><br/>
                            <p>Je développe surtout des applications Flutter et Ruby on rails avec l’aide de Hotwired.</p><br/>

                            <i>Unova France</i><br />
                            <i>11 Septembre 2019 - Toujours en CDI</i><br/><br />
                            <i>React</i>, <i>Symfony 4</i>, <i>Flutter</i>, <i>Ruby on rails (UJS et Hotwired)</i>, <i>Rust</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2018 - 2019</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>Développeur Web Symfony 4 et de Jeu avec Unity 3D (CDI)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Développement du Site en Symfony 4 (Changement graphique, ajout de fonctionnalité)</p><br />
                            <p>Intégration du déploiement continue de la nouvelle application Limouzik refaite sous Unity 3D sur Steam</p><br/>

                            <i>Limouzik SAS</i><br />
                            <i>03 Septembre 2018 - 31 Juillet 2019 (Rupture pour raison économique)</i><br/><br />
                            <i>Unity 3D</i>, <i>Symfony 4</i>, <i>Gitlab CI</i>, <i>Steam API</i>, <i>Docker</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2017 - 2018</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>License Dev. Web et du Big Data</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Licence professionnelle en alternance de développeur d’application web et du Big Data (LP DWBD).</p><br />
                            <p>Utilisation de docker, Mysql, PHP avancé, Symfony 3 et 4, AngularJS, NodeJS, Cassandra, MongoDB, …</p><br />

                            <i>IUT du Limousin à Limoges</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développeur Web Symfony 4 (Projet Tuteuré)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Développement du site sliz.me avec Symfony 4.</p><br />
                            <p>Ajout de QRCode sur l'ensemble des pages d'un fichier PDF pour que d'autres personnes puissent télécharger le PDF ou une page en question durant une conférence.</p><br />
                            <p>Il fallait également pouvoir générer des QrCode simple à scanner pour qu’un étudiant puisse le scanner à l’autre bout de l’amphi.</p><br />

                            <i>Onegate</i><br />
                            <i>Octobre 2017 - Février 2017</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développeur Web Symfony 4 et de Jeu avec Unity 3D (Alternance)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Maintenance de la version du site en Wordpress + Refonte complète du site (Graphique et technique) avec Symfony 4.</p><br />

                            <p>Maintenance de la première version de l’application React ainsi que la migration des modules RequireJS vers Webpack pour fortement améliorer le temps de chargement</p><br />
                            <p>Pour permettre l’évolution future de l’application (Intégration avec d’autre boite de jeu VR + Gamification), l’application a dû être refaite de A à Z en C# avec le moteur 3D Unity.</p><br />
                            <p>Ajout de l’application Limouzik sur le Play Store (Android), AppStore (iOS) et sur Steam (PC) avec l’intégration de SteamAPI</p><br />

                            <i>L’ensemble du travail a été effectué par mes soins</i><br /><br />
                            <i>Limouzik SAS</i><br />
                            <i>04 Septembre 2017 - 24 Aout 2018</i><br /><br />
                            <i>Unity 3D</i>, <i>Symfony 4</i>, <i>Steam API</i>, <i>React</i>, <i>Wordpress</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2015 - 2017</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>DUT Informatique</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Conception de programme en Java, C++, C, Android, PHP, NodeJS et l’utilisation de Mysql. Apprentissage des bases scientifiques dans l’informatique.</p><br />
                            <i>IUT du Limousin à Limoges</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développement d’application Web React et MIDI + Site Wordpress (Stage + CDD)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Développement d’une application musicale en utilisant le protocole MIDI (+ Synthèse sonore).</p><br />
                            <p>La partie affichage a été développé avec React et RequireJS (Gestion de module).</p><br />
                            <p>Administration du Site en Wordpress avec les Plugins (Woocommerce et PaidMembership Pro) ainsi que le développement d’un plugin propriétaire pour l’intégration de l’application dans Wordpress</p><br />

                            <i>Limouzik SAS</i><br />
                            <i>03 Avril 2017 - 30 Juin 2017 (Stage)</i><br />
                            <i>01 Juillet 2017 - 31 Juillet 2017 (CDD)</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
                <TimelineElement>
                    <TimelineLabel>2012 - 2015</TimelineLabel>
                    <TimelineCard>
                        <TimelineCardSummary>Bac STI2D spécialité SIN</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Passage du Bac sciences et technologies de l’industrie et du développement durable (STI2D).</p>
                            <p>Spécialité systèmes d’information et numérique (SIN).</p><br />

                            <i>Lycée Jean Favard à Guéret</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Développement en Java (Perso)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Apprentissage dans un premier temps du langage avec le site du zéro et les quelques vidéos sur Youtube.</p><br />
                            <p>Ensuite, j'ai commencé à développer des projets Perso (Plugin Minecraft, Mod Minecraft) dans un premier temps.</p><br />
                            <p>Puis, j'ai commencé à développer des petits jeux de A à Z (Petit moteur de physique + graphique + audio) et à m'entrainer avec des amis pour participer à des concours comme le Ludum dare et la Global Game Jam.</p><br />

                            <i>Java 1.5, 1.6, 1.7, 8</i><br />
                            <i>Maven et Gradle</i>
                        </TimelineCardContent>
                    </TimelineCard>
                    <TimelineCard>
                        <TimelineCardSummary>Utilisation de l’API graphique OpenGL (Perso)</TimelineCardSummary>
                        <TimelineCardContent>
                            <p>Après avoir développé quelques trucs sur Minecraft. Je me suis interessé à son fonctionnement et j'ai découvert la librairie LWJGL utilisé dans Minecraft.</p><br />
                            <p>J'ai très vite voulu développer mes propres Mini-Jeux en OpenGL avec cette librairie.</p><br />

                            <i>LWJGL 2 et 3</i><br />
                            <i>OpenGL 2 et OpenGL Modern (3.3+)</i>
                        </TimelineCardContent>
                    </TimelineCard>
                </TimelineElement>
            </Timeline>
        </div>
    )
}

export default MonParcours