import Organization, {Limouzik, Unova} from "./Organization";
import Tool, {
    Symfony,
    React,
    Unity3D,
    MIDI,
    SteamAPI,
    RequireJS,
    Webpack,
    Cordova,
    Electron,
    GodotEngine, Javascript, Rails, Flutter, Sylius, Java, OpenGL, Tailwind, Hotwire, Rust
} from "./Tool";

interface Project {
    organization: Organization | null,
    name: string,
    description: string,
    start_date: Date,
    end_date: Date | null,
    tools: Tool[]
}

export default Project

// LIMOUZIK

export const SiteWebLimouzik: Project = {
    organization: Limouzik,
    name: 'Site web Limouzik',
    description: 'Site web Limouzik',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Symfony]
}

export const LimouzikV2: Project = {
    organization: Limouzik,
    name: 'Application V2',
    description: 'Application V2',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [React, MIDI, SteamAPI, RequireJS]
}

export const LimouzikV3: Project = {
    organization: Limouzik,
    name: 'Application V3',
    description: 'Application V3',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [React, MIDI, SteamAPI, Webpack, Cordova, Electron]
}

export const LimouzikV4: Project = {
    organization: Limouzik,
    name: 'Application V4',
    description: 'Application V4',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Unity3D, MIDI, SteamAPI]
}

// UNOVA

export const Itamelia: Project = {
    organization: Unova,
    name: 'Itamelia',
    description: 'Itamelia',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Sylius, Javascript]
}

export const Scopema: Project = {
    organization: Unova,
    name: 'Scopema',
    description: 'Scopema',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [GodotEngine, React]
}

export const NWE: Project = {
    organization: Unova,
    name: 'NWE',
    description: 'NWE',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, React, Flutter]
}

export const SJLM: Project = {
    organization: Unova,
    name: 'Saint just le martel',
    description: 'Saint just le martel',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, Flutter]
}

export const StepReadyGo: Project = {
    organization: Unova,
    name: 'StepReadyGo',
    description: 'StepReadyGo',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, Flutter, OpenGL]
}

export const Ubermed: Project = {
    organization: Unova,
    name: 'Oméa',
    description: 'Oméa',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, Flutter]
}

export const PerAnkh: Project = {
    organization: Unova,
    name: 'PerAnkh',
    description: 'PerAnkh',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, Flutter, Tailwind, Hotwire, Webpack]
}

export const Doorsav: Project = {
    organization: Unova,
    name: 'Doorsav',
    description: 'Doorsav',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rails, Tailwind, Hotwire]
}

export const Machoke: Project = {
    organization: Unova,
    name: 'Machoke',
    description: 'Machoke',
    start_date: new Date('2017-05-01'),
    end_date: new Date('2019-07-31'),
    tools: [Rust, Rails, Tailwind, Hotwire]
}

export const PROJECTS: Project[] = [
    SiteWebLimouzik, LimouzikV2, LimouzikV3, LimouzikV4,
    Itamelia, NWE, Doorsav, PerAnkh, Ubermed, SJLM, Scopema, StepReadyGo, Machoke
]